/** Functions for LED matrix **/

#include "matrix.h"

//indirect_matrix d'origine
//à remettre

//matrice mise dans le même sens que les LED de la carte mais pas orienté dans le sens de lecture des afficheurs 7seg
/*static const unsigned char indirect_matrix[]={
  0,1,2,3,4,5,6,7, //ok //ok
  11,10,9,8,12,13,14,15, //ok //ok
  16,17,18,19,20,21,22,23, //ok //ok
  24,25,26,27,28,29,34,35, //ok //ok
  33,32,31,30,39,38,37,36, //ok //ok
  40,41,42,43,44,45,46,47, //ok //ok
  56,57,58,59,52,53,54,55, //ok //ok
  67,66,65,64,63,62,61,60, //ok //ok
  };*/
  

//matrice mise dans le même sens que les LED de la carte ET orienté dans le sens de lecture des afficheurs 7seg
  static const unsigned char indirect_matrix[]={
  7,15,23,35,36,47,55,60, 
  6,14,22,34,37,46,54,61, 
  5,13,21,29,38,45,53,62,
  4,12,20,28,39,44,52,63,
  3,8,19,27,30,43,59,64,
  2,9,18,26,31,42,58,65,
  1,10,17,25,32,41,57,66,
  0,11,16,24,33,40,56,67,
  };
  

/*void matrix_set(int *groupes,unsigned char *matrix){
int i;
for(i=0;i<NB_ROWS*NB_COLS;i++)
  groupes[indirect_matrix[i]]=matrix[i];
}*/

void matrix_set(int *groupes,unsigned char *matrix){
int i;
for(i=0;i<NB_ROWS*NB_COLS;i++)
  groupes[indirect_matrix[i]]=((matrix[i/8] >> (7-(i%8))) & 1)*BRIGHTNESS;
}
